
fish.disease <- function(){ #criando uma funo de nome fish.disease
  
  ######################################################################################
  #                                                                                    #    
  #  A seguinte funo gera o diagnstico e tratamento para doenas em peixes a partir #
  # dos principais sintomas apresentados pelo animal. Os sintomas so fornecidos pelo  #
  # usurio por meio de respostas as perguntas geradas pela funo.A funo foi        #
  # elaborada com base no fluxograma disponibilizado pela empresa Alcon no site        #
  # http://alconpet.com.br/home, levando em considerao 5 medicamentos: Alcali, Acid, #
  # Aqualife, e Bacter.                                                                #
  #                                   Elaborao: Camila Martins, 2019                 #
  #                                   camila.cristina.martins@usp.br                   #
  #                                                                                    #
  ######################################################################################
  
  
  
  ################# coletando dados da altura do aqurio ###############################
  
  h <- as.numeric(readline("\tQual a altura do aqurio em que o(s) peixe(s) est(o), em cm? \n\tDigite apenas nmeros maiores do que zero (ex.:35): \n"))#coletando o dado de altura do aqurio atravs de interao com o usurio e transfomando em um vetor da classe nmerica
  #enquanto o valor de altura (h) for menor do que zero, a funo deve  manter o loop que testa se h  um nmero positivo e pedir que outro valor de h seja dado 
  while (h < 0){ 
    cat("\tA altura do aqurio precisa ser um nmero positivo, em cm.\n\tPor favor, no introduza caracteres diferentes de nmeros.\n\tAps digitar o nmero, aperte enter.\n") #Alertando o usurio para a digitao de nmero invlido para altura do aqurio)
    h <-as.numeric(readline("\tQual a altura do aqurio em que o(s) peixe(s) est(o), em cm? \n\tDigite apenas nmeros maiores do que zero (ex.:35): \n"))#coletando dado de altura do aqurio atravs de interao com o usurio
  }
  
  ################ coletando dados da largura do aqurio ############################## 
  
  L <- as.numeric(readline("\tQual a largura do aqurio em que o(s) peixe(s) est(o), em cm? \n\tDigite apenas nmeros maiores do que zero (ex.:30): \n"))#coletando o dado de largura do aqurio atravs de interao com o usurio e transfomando em um vetor da classe nmerica
  #enquanto o valor de largura (L) for menor do que zero, a funo deve  manter o loop que testa se L  um nmero positivo e pedir que outro valor de L seja dado 
  while (L < 0){ 
    cat("\tA largura do aqurio precisa ser um nmero positivo, em cm.\n\tPor favor, no introduza caracteres diferentes de nmeros.\n\tAps digitar o nmero, aperte enter.\n") #Alertando o usurio para a digitao de nmero invlido para largura do aqurio
    L <-as.numeric(readline("\tQual a largura do aqurio em que o(s) peixe(s) est(o), em cm? \n\tDigite apenas nmeros maiores do que zero (ex.:30): \n"))#coletando dado de largura do aqurio atravs de interao com o usurio e transfomando em um vetor da classe nmerica
  }
  
  ################# coletando dados de comprimento do aqurio ############################
  
  comp <- as.numeric(readline("\tQual o comprimento do aqurio em que o(s) peixe(s) est(o), em cm? \n\tDigite apenas nmeros maiores do que zero (ex.:50): \n"))#coletando o dado de comprimento do aqurio atravs de interao com o usurio e transfomando em um vetor da classe nmerica
  #enquanto o valor de comprimento do aqurio (comp) for menor do que zero, a funo deve  manter o loop que testa se comp  um nmero positivo e pedir que outro valor de comp seja dado 
  while (comp < 0){ 
    cat("\tA largura do aqurio precisa ser um nmero positivo, em cm.\n\tPor favor, no introduza caracteres diferentes de nmeros.\n\tAps digitar o nmero, aperte enter.\n") #Alertando o usurio para a digitao de nmero invlido para largura do aqurio
    comp <-as.numeric(readline("\tQual o comprimento do aqurio em que o(s) peixe(s) est(o), em cm? \n\tDigite apenas nmeros maiores do que zero (ex.:50): \n"))#coletando dado de comprimento do aqurio atravs de interao com o usurio e transfomando em um vetor da classe nmerica
  }
  
  ################ Clculo do volume do aqurio em litros ##############################
  
  vol <- (h*L*comp)/1000.0 #clculo do volume do aqurio em litros, considerando que este seja retangular ou quadrado e que as medidas fornecidas estejam em cm
  
  #########################  Transposio do fluxograma em cdigo #####################
  
  resp1 <- readline("\tO peixe apresenta manchas ou estruturas anormais na superficie do corpo? \n\tDigite s para sim e n para no:  \n")#coletando dado sobre sintoma do peixe atravs de interao com o usurio 
  #enquanto o dado digitado pelo usurio for diferente de s ou n, a funo deve  manter o loop que testa se resp1  diferente de s ou n e pedir que outro caracter seja fornecido
  while (resp1!="s" & resp1!= "n"){ 
    cat("\tDigite apenas s minsculo para sim, ou n minsculo para no. \n\tAps digitar, aperte enter.\n") #Alertando o usurio para a digitao de respostas vlidas para o sintoma.
    resp1 <-readline("\tO peixe apresenta manchas ou estruturas anormais na superficie do corpo. \n\tDigite s para sim e n para no:  \n")#coletando dado sobre sintoma do peixe atravs de interao com o usurio 
  }
  #Se a resposta armazenada em resp(n) for sim (s) a funo "entra" nesse if,se no for entra no else
  if(resp1=="s"){
    resp2 <- readline("\tEstas estruturas so pontos visveis na pele? \n\tDigite s para sim e n para no:  \n")#coletando dado sobre sintoma do peixe atravs de interao com o usurio 
    #enquanto o dado digitado pelo usurio for diferente de s ou n, a funo deve  manter o loop que testa se resp2  diferente de s ou n e pedir que outro caracter seja fornecido
    while (resp2!="s" & resp2!= "n"){ 
      cat("\tDigite apenas s minsculo para sim, ou n minsculo para no.\n\t Aps digitar, aperte enter.\n") #Alertando o usurio para a digitao de respostas vlidas para o sintoma.
      resp2 <-readline("\tEstas estruturas so pontos visveis na pele? \n\tDigite s para sim e n para no:  \n")#coletando dado sobre sintoma do peixe atravs de interao com o usurio 
    }
    #Se a resposta armazenada em resp(n) for sim (s) a funo "entra" nesse if,se no for entra no else
    if(resp2=="s"){
      resp3 <- readline("\tSo pequenos pontos brancos espalhados por todo o corpo e nadadeiras? \n\tDigite s para sim e n para no:  \n")#coletando dado sobre sintoma do peixe atravs de interao com o usurio 
      #enquanto o dado digitado pelo usurio for diferente de s ou n, a funo deve  manter o loop que testa se resp3  diferente de s ou n e pedir que outro caracter seja fornecido
      while (resp3!="s" & resp3!= "n"){ 
        cat("\tDigite apenas s minsculo para sim, ou n minsculo para no.\n\tAps digitar, aperte enter.\n") #Alertando o usurio para a digitao de respostas vlidas para o sintoma.
        resp3 <-readline("\tSo pequenos pontos brancos espalhados por todo o corpo e nadadeiras? \n\tDigite s para sim e n para no:  \n")#coletando dado sobre sintoma do peixe atravs de interao com o usurio 
      }
      #Se a resposta armazenada em resp(n) for sim (s) a funo "entra" nesse if ,se no for entra no else 
      if(resp3=="s"){
        ####doena dos pontos brancos, Ictio
        print("Doena dos Pontos Brancos")
        
        ####Clculo da dosagem do tratamento com Ictio ou Aqualife: 1 gota para 2 litros.
        gotas_Ic_Aq <- vol/2.0
        
        ####resposta da funo a esse conjunto de sintomas:
        return(cat("\tSeu(s) peixe(s) apresenta(m) Doena dos pontos Brancos ou Ictio. \n\tEla  causada pelo protozorio Ichthyophthyrius multifiliis. \n\tOutros sintomas: Nadadeiras fechadas, peixe se esfregando nas pedras \n\te no fundo do aqurio, dificuldade para respirar. \n\tTratamento: Adicione ",gotas_Ic_Aq, " gota(s) de Ictio na gua do aqurio.\n") )
        
      }else {
        resp4 <- readline("\tOs pontos so brilhantes, numerosos, similares a gotinhas douradas aveludadas? \n\tDigite s para sim e n para no:  \n")#coletando dado sobre sintoma do peixe atravs de interao com o usurio 
        #enquanto o dado digitado pelo usurio for diferente de s ou n, a funo deve  manter o loop que testa se resp4  diferente de s ou n e pedir que outro caracter seja fornecido
        while (resp4!="s" & resp4!= "n"){ 
          cat("\tDigite apenas s minsculo para sim, ou n minsculo para no. \n\tAps digitar, aperte enter.\n") #Alertando o usurio para a digitao de respostas vlidas para o sintoma.
          resp4 <- readline("\tOs pontos so brilhantes, numerosos, similares a gotinhas douradas aveludadas? \n\tDigite s para sim e n para no:  \n")#coletando dado sobre sintoma do peixe atravs de interao com o usurio 
        }
        #Se a resposta armazenada em resp(n) for sim (s) a funo "entra" nesse if,se no for entra no else 
        if(resp4=="s"){
          ###doena do veludo ou  Oodiniose, Ictio+Aqualife
          print("Doena do Veludo\n")
          
          ###Clculo da dosagem do tratamento com Ictio e Aqualife: 1 gota de aqualife para para 4 litros e 1 gota de Ictio para 2 litros
          #####(como h interao medicamentosa, a dosagem de cada medicamento varia quando usada em conjunto)
          gotas_Aq <- vol/4.0
          gotas_Ic <- vol/2.0
          
          ####resposta da funo a esse conjunto de sintomas:
          return(cat("\tSeu(s) peixe(s) apresenta(m) Doena do Veludo ou Oodiniose. \n\tEla  causada pelo protozorio Oodinium pilullaris. \n\tOutros sintomas: Falta de apetite, respirao ofegante, perda do equilbrio \n\te peixes esbranquiados. \n\tTratamento: Adicione ", gotas_Ic, "gota(s) de Ictio para ", gotas_Aq," gota(s) de Aqualife na gua do aqurio." ))
        }else {
          ### fim da linha.
          ### H algumas combinaes de sintomas que no levam a nenhum diagnstico. Nesse casos, a soluo que encontrei foi direcionar o usurio a refazer
          ### o teste de modo a repensar se os sintomas que ele apontou anteriormente estavam certos:
          
          respF <- readline("\tNo foi possvel identificar a doena que acomete seu peixe por meio dos sintomas informados.\n\tVamos refazer o teste? \n\tDigite s para sim e n para no:  \n")#Verificando se o usurio deseja refazer o teste atravs de interao com o usurio 
          #enquanto o dado digitado pelo usurio for diferente de s ou n, a funo deve  manter o loop que testa se respF  diferente de s ou n e pedir que outro caracter seja fornecido
          while (respF!="s" & respF!= "n"){ 
            cat("\tDigite apenas s minsculo para sim, ou n minsculo para no. \n\tAps digitar, aperte enter.\n") #Alertando o usurio para a digitao de respostas vlidas para o respF.
            respF <- readline("\tNo foi possvel identificar a doena que acomete seu peixe por meio dos sintomas informados.\n\tVamos refazer o teste? \n\tDigite s para sim e n para no:  \n")#Verificando se o usurio deseja refazer o teste atravs de interao com o usurio 
          }
          #Se a resposta armazenada em respF for sim (s) a funo "entra" nesse if,se no for entra no else 
          if(respF=="s"){
            cat("\tOk, vamos recomear o teste.\n")
            fish.disease()#chamando a funo dentro da funo para recomear o teste
          }else {
            ###Fim da linha
            return(cat("\tOk.Que pena!\n\tReavalie os sintomas apresentados pelo seu animal \n\tnovamente e, se necessrio, refaa o teste. \n"))
          }
        }
      }
    }else {
      resp3 <- readline("\tH uma crosta aparentando limo ou manchas como mofo? \n\tDigite s para sim e n para no:  \n")#coletando dado sobre sintoma do peixe atravs de interao com o usurio 
      #enquanto o dado digitado pelo usurio for diferente de s ou n, a funo deve  manter o loop que testa se resp3  diferente de s ou n e pedir que outro caracter seja fornecido
      while (resp3!="s" & resp3!= "n"){ 
        cat("\tDigite apenas s minsculo para sim, ou n minsculo para no. \n\tAps digitar, aperte enter.\n") #Alertando o usurio para a digitao de respostas vlidas para o sintoma.
        resp3 <- readline("\tH uma crosta aparentando limo ou manchas como mofo? \n\tDigite s para sim e n para no:  \n")#coletando dado sobre sintoma do peixe atravs de interao com o usurio 
      }
      #Se a resposta armazenada em resp(n) for sim (s) a funo "entra" nesse if ,se no for entra no else
      if(resp3=="s"){
        resp4 <- readline("\tH um limo branco acizentado, cobrindo as brnquias e grande extenso do corpo? \n\tDigite s para sim e n para no:  \n")#coletando dado sobre sintoma do peixe atravs de interao com o usurio 
        #enquanto o dado digitado pelo usurio for diferente de s ou n, a funo deve  manter o loop que testa se resp4  diferente de s ou n e pedir que outro caracter seja fornecido
        while (resp4!="s" & resp4!= "n"){ 
          cat("\tDigite apenas s minsculo para sim, ou n minsculo para no. \n\tAps digitar, aperte enter.\n") #Alertando o usurio para a digitao de respostas vlidas para o sintoma.
          resp4 <- readline("\tH um limo branco acizentado, cobrindo as brnquias e grande extenso do corpo? \n\tDigite s para sim e n para no:  \n")#coletando dado sobre sintoma do peixe atravs de interao com o usurio 
        }
        #Se a resposta armazenada em resp(n) for sim (s) a funo "entra" nesse if,se no for entra no else 
        if(resp4=="s"){
          ###Costiose, Ictio+Aqualife
          print("Costiose")
          
          ###Clculo da dosagem do tratamento com Ictio e Aqualife: 1 gota de aqualife para para 4 litros e 1 gota de Ictio para 2 litros
          #####(como h interao medicamentosa, a dosagem de cada medicamento varia quando usada em conjunto)
          gotas_Aq <- vol/4.0
          gotas_Ic <- vol/2.0
          
          ####resposta da funo a esse conjunto de sintomas:
          return(cat("\tSeu(s) peixe(s) apresenta(m) Costiose. \n\tEla causada pelos protozorios Ichtlyobodo sp. (Costia sp.) e Chilodonella sp.. \n\tOutros sintomas: Falta de apetite, ramificaes vermelhas nas nadadeiras, \n\tpeixe se esfregando no fundo do aqurio. \n\tTratamento: Adicione ", gotas_Ic," gota(s) de Ictio para ",gotas_Aq," gota(s) de Aqualife na gua do aqurio.\n"))
        }else {
          resp5 <- readline("\tO limo  nebuloso e cobre apenas os olhos? \n\tDigite s para sim e n para no:  \n")#coletando dado sobre sintoma do peixe atravs de interao com o usurio 
          #enquanto o dado digitado pelo usurio for diferente de s ou n, a funo deve  manter o loop que testa se resp5  diferente de s ou n e pedir que outro caracter seja fornecido
          while (resp5!="s" & resp5!= "n"){ 
            cat("\tDigite apenas s minsculo para sim, ou n minsculo para no. \n\tAps digitar, aperte enter.\n") #Alertando o usurio para a digitao de respostas vlidas para o sintoma.
            resp5 <- readline("\tO limo  nebuloso e cobre apenas os olhos? \n\tDigite s para sim e n para no:  \n")#coletando dado sobre sintoma do peixe atravs de interao com o usurio 
          }
          #Se a resposta armazenada em resp(n) for sim (s) a funo "entra" nesse if,se no for entra no else 
          if(resp5=="s"){
            resp6 <- readline("\tOs olhos se mostram saltados? \n\tDigite s para sim e n para no:  \n")#coletando dado sobre sintoma do peixe atravs de interao com o usurio 
            #enquanto o dado digitado pelo usurio for diferente de s ou n, a funo deve  manter o loop que testa se resp6  diferente de s ou n e pedir que outro caracter seja fornecido
            while (resp6!="s" & resp6!= "n"){ 
              cat("\tDigite apenas s minsculo para sim, ou n minsculo para no. \n\tAps digitar, aperte enter.\n") #Alertando o usurio para a digitao de respostas vlidas para o sintoma.
              resp6 <- readline("\tOs olhos se mostram saltados? \n\tDigite s para sim e n para no:  \n")#coletando dado sobre sintoma do peixe atravs de interao com o usurio 
            }
            #Se a resposta armazenada em resp(n) for sim (s) a funo "entra" nesse if ,se no for entra no else
            if(resp6=="s"){
              ###olhos inchados, Ictio+Bacter
              print("Olhos Inchados")
              
              #Clculo da dosagem do tratamento com Ictio ou Aqualife: 1 gota para 2 litros.
              gotas_Ic_Aq <- vol/2.0
              
              #Clculo da dosagem do tratamento com Bacter: 1 cpsula para cada 12,5 litros.
              capsulas <- vol/12.5
              
              ####resposta da funo a esse conjunto de sintomas:
              return(cat("\tSeu(s) peixe(s) apresenta(m) Olhos Inchados (Pop-eye). \n\t causada por bactrias, fungos ou vermes. \n\tOutros sintomas: Barriga inchada, nadadeiras rodas. \n\tTratamento: Adicione ",gotas_Ic_Aq," gota(s) de Ictio para ",capsulas," cpsulas(s) de Bacter na gua do aqurio.\n"))
            }else {
              ####olhos embaados, Ictio+Aqualife
              print("Olhos Embaados")
              
              ###Clculo da dosagem do tratamento com Ictio e Aqualife: 1 gota de aqualife para para 4 litros e 1 gota de Ictio para 2 litros
              #####(como h interao medicamentosa, a dosagem de cada medicamento varia quando usada em conjunto)
              gotas_Aq <- vol/4.0
              gotas_Ic <- vol/2.0
              
              ####resposta da funo a esse conjunto de sintomas:
              return(cat("\tSeu(s) peixe(s) apresenta(m) Olhos Embaados. \n\tEssa doena  causada pelos trematodos monogenticos Dactylogyrus sp. ou Gyrodactylus sp.. \n\tOutros sintomas: Falta de apetite, respirao ofegante \n\te inchao das brnquias. \n\tTratamento: Adicione ",gotas_Ic," gota(s) de Ictio para ",gotas_Aq," gota(s) de Aqualife na gua do aqurio.\n"))
            }
          }else {
            resp6 <- readline("\tO peixe apresenta muco excessivo ao redor da boca chegando a formar tufos semelhantes a algodo? \n\tDigite s para sim e n para no:  \n")#coletando dado sobre sintoma do peixe atravs de interao com o usurio 
            #enquanto o dado digitado pelo usurio for diferente de s ou n, a funo deve  manter o loop que testa se resp6  diferente de s ou n e pedir que outro caracter seja fornecido
            while (resp6!="s" & resp6!= "n"){ 
              cat("\tDigite apenas s minsculo para sim, ou n minsculo para no. \n\tAps digitar, aperte enter.\n") #Alertando o usurio para a digitao de respostas vlidas para o sintoma.
              resp6<- readline("\tO peixe apresenta muco excessivo ao redor da boca chegando a formar tufos semelhantes a algodo? \n\tDigite s para sim e n para no:  \n")#coletando dado sobre sintoma do peixe atravs de interao com o usurio 
            }
            #Se a resposta armazenada em resp(n) for sim (s) a funo "entra" nesse if ,se no for entra no else
            if(resp6=="s"){
              ###fungo na boca, Bacter+aqualife 
              print("Fungo na Boca")
              
              #Clculo da dosagem do tratamento com Ictio ou Aqualife: 1 gota para 2 litros.
              gotas_Ic_Aq <- vol/2.0 
              
              #Clculo da dosagem do tratamento com Bacter: 1 cpsula para cada 12,5 litros.
              capsulas <- vol/12.5
              
              ####resposta da funo a esse conjunto de sintomas:
              return(cat("\tSeu(s) peixe(s) apresenta(m) Fungo na Boca (Cotton mouth). \n\tApesar do nome, normalmente  causada pela ao de bactrias Flexibacter columnaris. \n\t comum a ocorrncia simultnea de fungos. \n\tTratamento: Adicione ",gotas_Ic_Aq," gota(s) de Aqualife para ",capsulas," cpsulas(s) de Bacter na gua do aqurio.\n"))
            }else {
              resp7 <- readline("\tExistem manchas brancas ou tufos semelhantes a algodo no corpo? \n\tDigite s para sim e n para no:  \n")#coletando dado sobre sintoma do peixe atravs de interao com o usurio 
              #enquanto o dado digitado pelo usurio for diferente de s ou n, a funo deve  manter o loop que testa se resp7  diferente de s ou n e pedir que outro caracter seja fornecido
              while (resp7!="s" & resp7!= "n"){ 
                cat("\tDigite apenas s minsculo para sim, ou n minsculo para no. \n\tAps digitar, aperte enter.\n") #Alertando o usurio para a digitao de respostas vlidas para o sintoma.
                resp7 <- readline("\tExistem manchas brancas ou tufos semelhantes a algodo no corpo? \n\tDigite s para sim e n para no:  \n")#coletando dado sobre sintoma do peixe atravs de interao com o usurio 
              }
              #Se a resposta armazenada em resp(n) for sim (s) a funo "entra" nesse if ,se no for entra no else
              if(resp7=="s"){
                ###Doena do algodo, Aqualife
                print("Doena do Algodo")
                
                #Clculo da dosagem do tratamento com Ictio ou Aqualife: 1 gota para 2 litros.
                gotas_Ic_Aq <- vol/2.0
                
                ####resposta da funo a esse conjunto de sintomas:
                return(cat("\tSeu(s) peixe(s) apresenta(m) Doena do Algodo. \n\t causada pelos fungos Saprolegnia sp., Achlya sp. ou Ichthyosporidium sp.. \n\tOutros sintomas: Perda de escamas. \n\tTratamento: Adicione ",gotas_Ic_Aq," gota(s) de Aqualife na gua do aqurio.\n"))
              }else {
                ### fim da linha.
                ### H algumas combinaes de sintomas que no levam a nenhum diagnstico. Nesse casos, a soluo que encontrei foi direcionar o usurio a refazer
                ### o teste de modo a repensar se os sintomas que ele apontou anteriormente estavam certos:
                
                respF <- readline("\tNo foi possvel identificar a doena que acomete seu peixe por meio dos sintomas informados.\n\tVamos refazer o teste? \n\tDigite s para sim e n para no:  \n")#Verificando se o usurio deseja refazer o teste atravs de interao com o usurio 
                #enquanto o dado digitado pelo usurio for diferente de s ou n, a funo deve  manter o loop que testa se respF  diferente de s ou n e pedir que outro caracter seja fornecido
                while (respF!="s" & respF!= "n"){ 
                  cat("\tDigite apenas s minsculo para sim, ou n minsculo para no. \n\tAps digitar, aperte enter.\n") #Alertando o usurio para a digitao de respostas vlidas para o respF.
                  respF <- readline("\tNo foi possvel identificar a doena que acomete seu peixe por meio dos sintomas informados.\n\tVamos refazer o teste? \n\tDigite s para sim e n para no:  \n")#Verificando se o usurio deseja refazer o teste atravs de interao com o usurio 
                }
                #Se a resposta armazenada em respF for sim (s) a funo "entra" nesse if ,se no for entra no else
                if(respF=="s"){
                  cat("\tOk, vamos recomear o teste.\n")
                  fish.disease()#chamando a funo dentro da funo para recomear o teste
                }else {
                  ###Fim da linha
                  return(cat("\tOk.Que pena!\n\tReavalie os sintomas apresentados pelo seu animal \n\tnovamente e, se necessrio, refaa o teste. \n"))
                }
              }
            }
          }
        }
      }else {
        resp4 <- readline("\tO peixe se mostra barrigudo e com as escamas eriadas? \n\tDigite s para sim e n para no:  \n")#coletando dado sobre sintoma do peixe atravs de interao com o usurio 
        #enquanto o dado digitado pelo usurio for diferente de s ou n, a funo deve  manter o loop que testa se resp4  diferente de s ou n e pedir que outro caracter seja fornecido
        while (resp4!="s" & resp4!= "n"){ 
          cat("\tDigite apenas s minsculo para sim, ou n minsculo para no. \n\tAps digitar, aperte enter.\n") #Alertando o usurio para a digitao de respostas vlidas para o sintoma.
          resp4 <- readline("\tO peixe se mostra barrigudo e com as escamas eriadas? \n\tDigite s para sim e n para no:  \n")#coletando dado sobre sintoma do peixe atravs de interao com o usurio 
        }
        #Se a resposta armazenada em resp(n) for sim (s) a funo "entra" nesse if ,se no for entra no else
        if(resp4=="s"){
          ###Hidropsia, Bacter
          print("Hidropsia")
          
          #Clculo da dosagem do tratamento com Bacter: 1 cpsula para cada 12,5 litros.
          capsulas <- vol/12.5
          
          ####resposta da funo a esse conjunto de sintomas:
          return(cat("\tSeu(s) peixe(s) apresenta(m) Hidropsia (ventre volumoso). \n\t causada por bactrias que atacam os rgos internos. \n\tOutros sintomas: Manchas vermelhas no corpo, destruio das nadadeiras. \n\tTratamento: Adicione ",capsulas," cpsulas(s) de Bacter na gua do aqurio\n"))
        }else {
          resp5 <- readline("\tO peixe est magro e com o ventre retrado? \n\tDigite s para sim e n para no:  \n")#coletando dado sobre sintoma do peixe atravs de interao com o usurio 
          #enquanto o dado digitado pelo usurio for diferente de s ou n, a funo deve  manter o loop que testa se resp5  diferente de s ou n e pedir que outro caracter seja fornecido
          while (resp5!="s" & resp5!= "n"){ 
            cat("\tDigite apenas s minsculo para sim, ou n minsculo para no. \n\tAps digitar, aperte enter.\n") #Alertando o usurio para a digitao de respostas vlidas para o sintoma.
            resp5 <- readline("\tO peixe est magro e com o ventre retrado? \n\tDigite s para sim e n para no:  \n")#coletando dado sobre sintoma do peixe atravs de interao com o usurio 
          }
          #Se a resposta armazenada em resp(n) for sim (s) a funo "entra" nesse if ,se no for entra no else
          if(resp5=="s"){
            ###Tuberculose ou Barriga Seca, Bacter
            print("Tuberculose ou Barriga Seca")
            
            #Clculo da dosagem do tratamento com Bacter: 1 cpsula para cada 12,5 litros.
            capsulas <- vol/12.5
            
            ####resposta da funo a esse conjunto de sintomas:
            return(cat("\tSeu(s) peixe(s) apresenta(m) Tuberculose ou Barriga Seca. \n\tInfeco bacteriana relacionada com a m qualidade da gua. \n\tOutros sintomas: Perda de escamas, palidez das cores, destruio das nadadeiras. \n\tTratamento: Adicione ",capsulas," cpsulas(s) de Bacter na gua do aqurio.\n"))
          }else {
            resp6 <- readline("\tO peixe apresenta feridas (buracos) na cabea? \n\tDigite s para sim e n para no:  \n")#coletando dado sobre sintoma do peixe atravs de interao com o usurio 
            #enquanto o dado digitado pelo usurio for diferente de s ou n, a funo deve  manter o loop que testa se resp6  diferente de s ou n e pedir que outro caracter seja fornecido
            while (resp6!="s" & resp6!= "n"){ 
              cat("\tDigite apenas s minsculo para sim, ou n minsculo para no. \n\tAps digitar, aperte enter.\n") #Alertando o usurio para a digitao de respostas vlidas para o sintoma.
              resp6 <- readline("\tO peixe apresenta feridas (buracos) na cabea? \n\tDigite s para sim e n para no:  \n")#coletando dado sobre sintoma do peixe atravs de interao com o usurio 
            }
            #Se a resposta armazenada em resp(n) for sim (s) a funo "entra" nesse if ,se no for entra no else
            if(resp6=="s"){
              ###Buracos na Cabea, Bacter+Aqualife
              print("Buracos na Cabea")
              
              #Clculo da dosagem do tratamento com Ictio ou Aqualife: 1 gota para 2 litros.
              gotas_Ic_Aq <- vol/2.0 
              
              #Clculo da dosagem do tratamento com Bacter: 1 cpsula para cada 12,5 litros.
              capsulas <- vol/12.5
              
              ####resposta da funo a esse conjunto de sintomas:
              return(cat("\tSeu(s) peixe(s) apresenta(m) Buracos na Cabea (Hole-in-head). \n\tSintoma ligado ao protozorio Hexamita sp. e possivelmente a bactrias. \n\t tambm conhecida como doena dos Cicldeos. \n\tOutros sintomas: Inchao (hidropsia) \n\tTratamento: Adicione ",gotas_Ic_Aq," gota(s) de Aqualife para ",capsulas," cpsulas(s) de Bacter na gua do aqurio.\n"))
            }else {
              resp7 <- readline("\tAs nadadeiras apresentam-se desfiadas ou rodas? \n\tDigite s para sim e n para no:  \n")#coletando dado sobre sintoma do peixe atravs de interao com o usurio 
              #enquanto o dado digitado pelo usurio for diferente de s ou n, a funo deve  manter o loop que testa se resp7  diferente de s ou n e pedir que outro caracter seja fornecido
              while (resp7!="s" & resp7!= "n"){ 
                cat("\tDigite apenas s minsculo para sim, ou n minsculo para no. \n\tAps digitar, aperte enter.\n") #Alertando o usurio para a digitao de respostas vlidas para o sintoma.
                resp7 <- readline("\tAs nadadeiras apresentam-se desfiadas ou rodas? \n\tDigite s para sim e n para no:  \n")#coletando dado sobre sintoma do peixe atravs de interao com o usurio 
              }
              #Se a resposta armazenada em resp(n) for sim (s) a funo "entra" nesse if ,se no for entra no else
              if(resp7=="s"){
                ###Nadadeiras Rodas, Bacter+Aqualife
                print("Nadadeiras Rodas")
                
                #Clculo da dosagem do tratamento com Ictio ou Aqualife: 1 gota para 2 litros.
                gotas_Ic_Aq <- vol/2.0 
                
                #Clculo da dosagem do tratamento com Bacter: 1 cpsula para cada 12,5 litros.
                capsulas <- vol/12.5
                
                ####resposta da funo a esse conjunto de sintomas:
                return(cat("\tSeu(s) peixe(s) apresenta(m) Nadadeiras rodas. \n\tCausada por bactrias. Em geral, h ocorrncia de fungos associados. \n\tAs nadadeiras ficam esbranquiadas e comeam a se desfazer. \n\tTratamento: Adicione ",gotas_Ic_Aq," gota(s) de Aqualife para ",capsulas," cpsulas(s) de Bacter na gua do aqurio.\n"))
              }else {
                resp8 <- readline("\tH vermelhido na base das nadadeiras? \n\tDigite s para sim e n para no:  \n")#coletando dado sobre sintoma do peixe atravs de interao com o usurio 
                #enquanto o dado digitado pelo usurio for diferente de s ou n, a funo deve  manter o loop que testa se resp8  diferente de s ou n e pedir que outro caracter seja fornecido
                while (resp8!="s" & resp8!= "n"){ 
                  cat("\tDigite apenas s minsculo para sim, ou n minsculo para no. \n\tAps digitar, aperte enter.\n") #Alertando o usurio para a digitao de respostas vlidas para o sintoma.
                  resp8 <- readline("\tH vermelhido na base das nadadeiras? \n\tDigite s para sim e n para no:  \n")#coletando dado sobre sintoma do peixe atravs de interao com o usurio 
                }
                #Se a resposta armazenada em resp(n) for sim (s) a funo "entra" nesse if ,se no for entra no else
                if(resp8=="s"){
                  ###Septicemia, Bacter+Aqualife
                  print("Septicemia")
                  
                  #Clculo da dosagem do tratamento com Ictio ou Aqualife: 1 gota para 2 litros.
                  gotas_Ic_Aq <- vol/2.0 
                  
                  #Clculo da dosagem do tratamento com Bacter: 1 cpsula para cada 12,5 litros.
                  capsulas <- vol/12.5
                  
                  ####resposta da funo a esse conjunto de sintomas:
                  return(cat("\tSeu(s) peixe(s) apresenta(m) Septicemia. \n\tResultado de infeco causada por bactrias. \n\tOutros sintomas: Vasinhos sanguneos dilatados ao redor dos olhos \n\te na base das nadadeiras, nadadeiras rodas e desbotadas. \n\tTratamento: Adicione ",gotas_Ic_Aq," gota(s) de Aqualife para ",capsulas," cpsulas(s) de Bacter na gua do aqurio.\n"))
                }else {
                  ### fim da linha.
                  ### H algumas combinaes de sintomas que no levam a nenhum diagnstico. Nesse casos, a soluo que encontrei foi direcionar o usurio a refazer
                  ### o teste de modo a repensar se os sintomas que ele apontou anteriormente estavam certos:
                  
                  respF <- readline("\tNo foi possvel identificar a doena que acomete seu peixe por meio dos sintomas informados.\n\tVamos refazer o teste? \n\tDigite s para sim e n para no:  \n")#Verificando se o usurio deseja refazer o teste atravs de interao com o usurio 
                  #enquanto o dado digitado pelo usurio for diferente de s ou n, a funo deve  manter o loop que testa se respF  diferente de s ou n e pedir que outro caracter seja fornecido
                  while (respF!="s" & respF!= "n"){ 
                    cat("\tDigite apenas s minsculo para sim, ou n minsculo para no. \n\tAps digitar, aperte enter.\n") #Alertando o usurio para a digitao de respostas vlidas para o respF.
                    respF <- readline("\tNo foi possvel identificar a doena que acomete seu peixe por meio dos sintomas informados.\n\tVamos refazer o teste? \n\tDigite s para sim e n para no:  \n")#Verificando se o usurio deseja refazer o teste atravs de interao com o usurio 
                  }
                  #Se a resposta armazenada em respF for sim (s) a funo "entra" nesse if ,se no for entra no else
                  if(respF=="s"){
                    cat("\tnOk, vamos recomear o teste.\n")
                    fish.disease()#chamando a funo dentro da funo para recomear o teste
                  }else {
                    ###Fim da linha
                    return(cat("\tOk.Que pena!\n\tReavalie os sintomas apresentados pelo seu animal \n\tnovamente e, se necessrio, refaa o teste. \n"))
                  }
                }
              }
              }
            }
          }
        }
      }
  }else {
    resp2 <- readline("\tO peixe apresenta natao irregular e tremores? \n\tDigite s para sim e n para no:  \n")#coletando dado sobre sintoma do peixe atravs de interao com o usurio 
    #enquanto o dado digitado pelo usurio for diferente de s ou n, a funo deve  manter o loop que testa se resp2  diferente de s ou n e pedir que outro caracter seja fornecido
    while (resp2!="s" & resp2!= "n"){ 
      cat("\tDigite apenas s minsculo para sim, ou n minsculo para no. \n\tAps digitar, aperte enter.\n") #Alertando o usurio para a digitao de respostas vlidas para o sintoma.
      resp2 <- readline("\tO peixe apresenta natao irregular e tremores? \n\tDigite s para sim e n para no:  \n")#coletando dado sobre sintoma do peixe atravs de interao com o usurio 
    }
    #Se a resposta armazenada em resp(n) for sim (s) a funo "entra" nesse if ,se no for entra no else
    if(resp2=="s"){
      resp3 <- readline("\tAs escamas esto eriadas e as nadadeiras fechadas? \n\tDigite s para sim e n para no:  \n")#coletando dado sobre sintoma do peixe atravs de interao com o usurio 
      #enquanto o dado digitado pelo usurio for diferente de s ou n, a funo deve  manter o loop que testa se resp3  diferente de s ou n e pedir que outro caracter seja fornecido
      while (resp3!="s" & resp3!= "n"){ 
        cat("\tDigite apenas s minsculo para sim, ou n minsculo para no. \n\tAps digitar, aperte enter.\n") #Alertando o usurio para a digitao de respostas vlidas para o sintoma.
        resp3 <- readline("\tH um limo branco acizentado, cobrindo as brnquias e grande extenso do corpo? \n\tDigite s para sim e n para no:  \n")#coletando dado sobre sintoma do peixe atravs de interao com o usurio 
      }
      #Se a resposta armazenada em resp(n) for sim (s) a funo "entra" nesse if ,se no for entra no else
      if(resp3=="s"){
        ###Agua muito cida, Alcali
        print("gua Muito cida")
        
        #Clculo da dosagem do tratamento com Alcali ou Acid: 1 gota para 3 litros.
        gotas_Al_Ac <- vol/3.0
        
        ####resposta da funo a esse conjunto de sintomas:
        return(cat("\tA gua do seu aqurio deve estar muito cida. \n\tOutros sintomas: Nadadeiras rodas e desbotadas. \n\tTratamento: Verifique as condies de pH. \n\tConfirmando a acidez excessiva, adicione ",gotas_Al_Ac," gota(s) de Acid na gua do aqurio. \n"))
      }else {
        resp4 <- readline("\tO peixe apresenta respirao ofegante prximo  superfcie e perda de brilho das escamas? \n\tDigite s para sim e n para no:  \n")#coletando dado sobre sintoma do peixe atravs de interao com o usurio 
        #enquanto o dado digitado pelo usurio for diferente de s ou n, a funo deve  manter o loop que testa se resp4  diferente de s ou n e pedir que outro caracter seja fornecido
        while (resp4!="s" & resp4!= "n"){ 
          cat("\tDigite apenas s minsculo para sim, ou n minsculo para no. \n\tAps digitar, aperte enter.\n") #Alertando o usurio para a digitao de respostas vlidas para o sintoma.
          resp4 <- readline("\tO peixe apresenta respirao ofegante prximo  superfcie e perda de brilho das escamas? \n\tDigite s para sim e n para no:  \n")#coletando dado sobre sintoma do peixe atravs de interao com o usurio 
        }
        #Se a resposta armazenada em resp(n) for sim (s) a funo "entra" nesse if ,se no for entra no else
        if(resp4=="s"){
          ###gua muito alcalina ou Cloro na gua, Acid
          print("gua Muito Alcalina ou Cloro na gua")
          
          #Clculo da dosagem do tratamento com Alcali ou Acid: 1 gota para 3 litros.
          gotas_Al_Ac <- vol/3.0
          
          ####resposta da funo a esse conjunto de sintomas:
          return(cat("\tA gua do seu aqurio deve estar muito alcalina ou deve haver cloro na gua. \n\tOutros sintomas: Perda de escamas. \n\tTratamento: Verifique as condies de pH e concentrao de cloro na gua. \n\tConfirmando alcalinidade excessiva e ausncia de cloro, \n\tadicione ",gotas_Al_Ac," gota(s) de Acid na gua do aqurio. \n"))
        }else {
          ### fim da linha.
          ### H algumas combinaes de sintomas que no levam a nenhum diagnstico. Nesse casos, a soluo que encontrei foi direcionar o usurio a refazer
          ### o teste de modo a repensar se os sintomas que ele apontou anteriormente estavam certos:
          
          respF <- readline("\tNo foi possvel identificar a doena que acomete seu peixe por meio dos sintomas informados.\n\tVamos refazer o teste? \n\tDigite s para sim e n para no:  \n")#Verificando se o usurio deseja refazer o teste atravs de interao com o usurio 
          #enquanto o dado digitado pelo usurio for diferente de s ou n, a funo deve  manter o loop que testa se respF  diferente de s ou n e pedir que outro caracter seja fornecido
          while (respF!="s" & respF!= "n"){ 
            cat("\tDigite apenas s minsculo para sim, ou n minsculo para no. \n\tAps digitar, aperte enter.\n") #Alertando o usurio para a digitao de respostas vlidas para o respF.
            respF <- readline("\tNo foi possvel identificar a doena que acomete seu peixe por meio dos sintomas informados.\n\tVamos refazer o teste? \n\tDigite s para sim e n para no:  \n")#Verificando se o usurio deseja refazer o teste atravs de interao com o usurio 
          }
          #Se a resposta armazenada em respF for sim (s) a funo "entra" nesse if ,se no for entra no else
          if(respF=="s"){
            cat("\tOk, vamos recomear o teste.\n")
            fish.disease()#chamando a funo dentro da funo para recomear o teste
          }else {
            ###Fim da linha
            return(cat("\tOk.Que pena!\n\tReavalie os sintomas apresentados pelo seu animal \n\tnovamente e, se necessrio, refaa o teste. \n"))
          }
        }
      }
    }else {
      ### fim da linha.
      ### H algumas combinaes de sintomas que no levam a nenhum diagnstico. Nesse casos, a soluo que encontrei foi direcionar o usurio a refazer
      ### o teste de modo a repensar se os sintomas que ele apontou anteriormente estavam certos:
      
      respF <- readline("\tNo foi possvel identificar a doena que acomete seu peixe por meio dos sintomas informados.\n\tVamos refazer o teste? \n\tDigite s para sim e n para no:  \n")#Verificando se o usurio deseja refazer o teste atravs de interao com o usurio 
      #enquanto o dado digitado pelo usurio for diferente de s ou n, a funo deve  manter o loop que testa se respF  diferente de s ou n e pedir que outro caracter seja fornecido
      while (respF!="s" & respF!= "n"){ 
        cat("\tDigite apenas s minsculo para sim, ou n minsculo para no. \n\tAps digitar, aperte enter.\n") #Alertando o usurio para a digitao de respostas vlidas para o respF.
        respF <- readline("\tNo foi possvel identificar a doena que acomete seu peixe por meio dos sintomas informados.\n\tVamos refazer o teste? \n\tDigite s para sim e n para no:  \n")#Verificando se o usurio deseja refazer o teste atravs de interao com o usurio 
      }
      #Se a resposta armazenada em respF for sim (s) a funo "entra" nesse if ,se no for entra no else
      if(respF=="s"){
        cat("\tOk, vamos recomear o teste.\n")
        fish.disease()#chamando a funo dentro da funo para recomear o teste
      }else {
        ###Fim da linha
        return(cat("\tOk.Que pena!\n\tReavalie os sintomas apresentados pelo seu animal \n\tnovamente e, se necessrio, refaa o teste. \n"))
     }
   }
  }
}

fish.disease()



